Go to the first, previous, next, last section, table of contents.

# INVOKING GiD

When starting the GiD program from a shell or script it is possible to supply some options in the same command line.

With

    gid -help

the program will list the possible command line options.

Command line sintaxis:

    gid [-b[{+/-}g][{+/-}i][{+/-}w] batch_file] [filename] [-h] [-p problem] [-e anything] [-n] [-n2] [-c]

All options and `filename` are optional. `filename` is the name of a problem to be opened (extension `.gid` is optional)

Options are:

- -b batchfile executes `batch_file` as a script file (see section Batch file).
  - +/- g Enable/Disable Graphics (if -g, GiD doesn't redraw until the batch file has finished.)
  - +/- i Enable/Disable GraphInput (enable or disable peripherals while the batch file is being executed: mouse, keyboard, ...)
  - +/- w Enable/Disable Windows (GiD displays, or not, windows which require interaction with the user)
- -h shows GiD's command line arguments.
- -p problem loads `problem` as the type of the problem to be used for a new project.
- -e anything can continue until the end of the line. Execute `anything` as if it were a group of commands entered into GiD.
- -n runs the program without any window. It is most useful when used with the option `batchfile`.
- -n2 runs the program without any window but theTk library is loaded. This option is useful if you use TCL commands in a batch file.
- -c conffile Takes window configuration from `conffile`. This file can be generated with option See section Save configuration file.
- -openglconfig ( Only for Windows): this allows the user to choose between the accelerated OpenGL, if present, or the generic implementation, if the user experiences troubles using the accelerated libraries of the graphic card.

Other useful options are:

    gid -compress [ -123456789ad] file_name_in file_name_out

to compress (gzip) a file, for instance to compress '`.dat`' files or new posprocess formated data files.

and

    gid [ -PostBinaryFormat { 1.0 / 1.1}] -PostResultsToBinary file_in file_out

to transform Ascii results files into compressed binary ones. You can select wether to use the binary format 1.0 or 1.1. The default, and recommended, is the 1.1.

Go to the first, previous, next, last section, table of contents.